//Κώδικας Εφαρμογής 12: Αισθητήρας LM393/Φωτιστικό Ελεγχόμενο με Ήχο
//από το βιβλίο "Ανάπτυξη Εφαρμογών με το Arduino"
//Εκδόσεις Τζιόλα
//Π. Παπάζογλου, Σ. Λιωνής

const int LED_Pin = 12;//Pin ελέγχου του LED
const int SoundSensor_Pin = A0;//Pin αισθητήρα
int LED_State = LOW;//Κατάσταση του LED

void setup(){                
  pinMode(LED_Pin, OUTPUT); 
}

void loop(){//Ανάγνωση της τιμής του αισθητήρα
  int Sound_Level = analogRead(SoundSensor_Pin);  
  if(Sound_Level<100) //Αν τιμή < κατώφλι
  { //Άλλαξε την κατάσταση του LED
    LED_State = !LED_State; 
    digitalWrite(LED_Pin, LED_State);
    delay(300);//Καθυστέρηση 0,3 sec
  }
}

