//Κώδικας Εφαρμογής 4: Φακός
//από το βιβλίο "Ανάπτυξη Εφαρμογών με το Arduino"
//Εκδόσεις Τζιόλα 
//Π. Παπάζογλου, Σ. Λιωνής

const int LED_Pin = 12;//pin ελέγχου του LED
const int Button_Pin = 2;//pin του κουμπιού
const int Debounce_Delay = 50;//αναμονή ηρεμίας
int LED_State = LOW;//τρέχουσα κατάσταση κουμπιού
//προηγούμενη κατάσταση κουμπιού
int Prev_Button_State = LOW;

void setup() 
{                
 pinMode(LED_Pin, OUTPUT); 
 pinMode(Button_Pin, INPUT);
}

void loop() 
{ //έλεγχος της κατάστασης του κουμπιού
  int Button_State = digitalRead(Button_Pin);  
//αν πατήθηκε το κουμπί
if((Button_State==HIGH)&&(Prev_Button_State==LOW))
    { //άλλαξε την κατάσταση του LED
      if(LED_State == LOW) 
        {
          LED_State = HIGH;
        }
      else
        {
          LED_State = LOW;
        }
      digitalWrite(LED_Pin, LED_State);
    }
  //αν άλλαξε η κατάσταση, αναμονή για ηρεμία
  if(Button_State != Prev_Button_State)
    delay(Debounce_Delay);
  Prev_Button_State = Button_State;
}

