//Κώδικας Εφαρμογής 7: Ρύθμιση Έντασης LED με Ποτενσιόμετρο
//από το βιβλίο "Ανάπτυξη Εφαρμογών με το Arduino"
//Εκδόσεις Τζιόλα
//Π. Παπάζογλου, Σ. Λιωνής

const int Potentiometer_Pin = A0;//Pin ποτενσιόμ.
const int LED_Pin = 3;//Pin PWM για το LED 
int Input_Value = 0;//Τιμή από το ποτενσιόμετρο
int brightness = 0;//Φωτεινότητα LED

void setup() {
}

void loop() {
  //Ανάγνωση τιμής από το ποτενσιόμετρο
  Input_Value = analogRead(Potentiometer_Pin);

  //Απεικόνιση τιμής ποτ. σε επίπεδο φωτεινότητας
  brightness = map(Input_Value,0,1023,0,255);  

  //Εγγραφή επιπέδου φωτεινότητας στο PWM pin 
  analogWrite(LED_Pin,brightness);
}

